Subject: Re: bug#7196: 24.0.50; NEWS item "Selection changes"

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Oct 2010 21:44:51 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Fri, 15 Oct 2010 11:45:51 -0700
> 
> > > #1 needs to also say something about the other systems, 
> > > which do not support a separate primary: e.g. do they put
> > > the selection on the clipboard? the kill
> > > ring? Where do they put it?
> > 
> > They do nothing and don't put the text anywhere outside Emacs.
> 
> Who said anything about outside Emacs?

This NEWS entry is about changes wrt exchanging selected/cut text with
other applications.  Anything else that pertains to selections, but
not to other applications, belongs elsewhere.

> When you select text on such a system, where is it saved
> (conceptually), since there is no primary selection?  We're talking
> about the case where it is not automatically sent to the kill ring
> and clipboard.

That's for the manual to describe, and if there are any changes in
behavior regarding that, they should be elsewhere in NEWS.

NEWS does not present a coherent complete description of each topic it
touches.  That is not its purpose.  NEWS is a series of short notes
about changes the user would like to study in detail.  The study
itself should use the manual and the doc strings.

> > > I don't know about the clipboard - is it a list or ring, like the
> > > kill ring?
> > 
> > It's a single buffer.
> 
> That doesn't tell me the answer. Can you put more than one piece of selected
> text there? Can you access those pieces separately, as you can with the kill
> ring?  Or is it a single piece of text, so that "putting into" the clipboard is
> actually setting its value, replacing the previous value?

Putting text into the clipboard or a selection sets their values.

> > I believe every user nowadays knows what happens with text that is put
> > into the clipboard or the primary selection.
> 
> Well, you are wrong. I'm a user, and I did not know that.

Then you will have to learn about that somewhere else, sorry.  NEWS is
not the place to teach such things.  The manual could be a better
place, if we really need to explain that (and I'm still unconvinced).

> > > Please add that info - don't just say what happens for X.
> > 
> > There's nothing to tell.  This functionality does not exist on non-X
> > systems, so whatever happens on X does not happen elsewhere.
> 
> The functionality exists of selecting with the mouse and pasting that text,
> without copying it to the kill ring.

Again, this entry is about copy/paste between Emacs and other
applications.  It is not about text selections in general.

> If you want to divide the behavior changes between those affecting interactions
> with other apps and those affecting Emacs-only behavior, because you think that
> will make the explanation clearer or simpler, fine.  But all behavior changes
> need to be described.

I don't think anything's changed wrt selections inside Emacs.

> You apparently just want to argue and defend your existing text.  Use what you
> want (you will anyway).  I'm just trying to help you.  If you don't want to hear
> about things that are not very clear, fine.

I simply think my job here is done, and bikeshedding over it any
further is not an efficient use of my limited time.  If people think
they can improve what I wrote, they are welcome to it.

> How much detail you give is up to you.  But NEWS needs to let users know what
> has changed in the user-visible behavior.  If you want to give just a summary
> that refers to complete descriptions in the doc, that's OK, but then the doc
> needs to cover it completely.

Please submit separate bug reports if you find the manuals incomplete
or incorrect on these issues.